Re: [Rd] make check of R-alpha_2006-04-08_r37675 fails: qbeta

From: Bjørn-Helge Mevik <bhs2_at_mevik.net>
Date: Mon 10 Apr 2006 - 12:31:12 GMT

Dirk Eddelbuettel wrote:

> Fair point, especially as you have to insist on using gcc 3.3.* on Debian:
> -- 3.3.6 is the current 3.3.* one whereas Bjørn-Helge used 3.3.5
> -- 3.4.5 is the latest 3.* one supplanting 3.3.(5,6)
> -- 4.0.3 is the current default
> -- 4.1.0 is available too
>
> That appears to be the same on Debian testing and unstable.
>
> Dirk
>
> edd@basebud:~> dpkg -l | grep gcc | cut -c -78
> ii gcc 4.0.2-2 The GNU C
> ii gcc-2.95 2.95.4-22 The GNU C
> ii gcc-3.3 3.3.6-13 The GNU C
> ii gcc-3.3-base 3.3.6-13 The GNU C
> ii gcc-3.4 3.4.5-2 The GNU C
> ii gcc-3.4-base 3.4.5-2 The GNU C
> ii gcc-4.0 4.0.3-1 The GNU C
> ii gcc-4.0-base 4.0.3-1 The GNU C
> ii gcc-4.1-base 4.1.0-1 The GNU C
> ii libgcc1 4.1.0-1 GCC suppo
> edd@basebud:~>

Hmmm... I don't `see' all those versions. After an `aptitude update':

9 (1) $ aptitude search gcc
[...]

i   gcc                             - The GNU C compiler                       
i   gcc-2.95                        - The GNU C compiler                       
p   gcc-2.95-doc                    - Documentation for the GNU compilers (gcc,
v   gcc-3.0                         -                                          
v   gcc-3.0-base                    -                                          
v   gcc-3.0-doc                     -                                          
v   gcc-3.2                         -                                          
v   gcc-3.2-base                    -                                          
v   gcc-3.2-doc                     -                                          
i A gcc-3.3                         - The GNU C compiler                       
i A gcc-3.3-base                    - The GNU Compiler Collection (base package
p   gcc-3.3-doc                     - Documentation for the GNU compilers (gcc,
i   gcc-3.4                         - The GNU C compiler                       
i A gcc-3.4-base                    - The GNU Compiler Collection (base package
p   gcc-3.4-doc                     - Documentation for the GNU compilers (gcc,
[...]
The 3.3 is 3.3.5-13, and the 3.4 is 3.4.3-13.

My /etc/apt/sources.list is:

deb http://ftp.no.debian.org/debian/ sarge main non-free contrib deb-src http://ftp.no.debian.org/debian/ sarge main non-free contrib deb http://ftp.no.debian.org/debian-non-US sarge/non-US main contrib non-free deb-src http://ftp.no.debian.org/debian-non-US sarge/non-US main contrib non-free deb http://security.debian.org/ sarge/updates main contrib non-free

Why am I seeing older versions than you?

I just installed gcc-3.4, but gcc --version still says 3.3.5. What have I done (probably without knowing it) to `insist on using gcc 3.3.*', and how can I reverse that? (I have no desire to use old compiler versions. :-)

-- 
Bjørn-Helge Mevik

______________________________________________
R-devel@r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Mon Apr 10 23:06:08 2006

This archive was generated by hypermail 2.1.8 : Mon 10 Apr 2006 - 14:17:02 GMT